VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Public Attributes | List of all members
ValueCalls Struct Reference

`#include <modelbinding.h>`

## Public Types
using | Call = std::function<void (IValue&)>

## Static Public Member Functions
static ValueCalls | onPerformEdit (Call &&call)
static ValueCalls | onEndEdit (Call &&call)
static ValueCalls | onAction (Call &&call)

## Public Attributes
Call | onBeginEditCall
Call | onPerformEditCall
Call | onEndEditCall
Call | onStateChangeCall

## Member Typedef Documentation

## ◆ Call

using Call = std::function<void (IValue&)>

## Member Function Documentation

## ◆ onAction()

static ValueCalls onAction | ( | Call && | call | ) |
| inline static

## ◆ onEndEdit()

static ValueCalls onEndEdit | ( | Call && | call | ) |
| inline static

## ◆ onPerformEdit()

static ValueCalls onPerformEdit | ( | Call && | call | ) |
| inline static

## Member Data Documentation

## ◆ onBeginEditCall

Call onBeginEditCall

## ◆ onEndEditCall

Call onEndEditCall

## ◆ onPerformEditCall

Call onPerformEditCall

## ◆ onStateChangeCall

Call onStateChangeCall

The documentation for this struct was generated from the following file:

- modelbinding.h